Bug Hunting Session
Bug 101295 - Crop-Handle and Crop-Dialog are hard to distinguish in a toolbar
Summary: Crop-Handle and Crop-Dialog are hard to distinguish in a toolbar
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: x86 (IA32) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0
Keywords:
Depends on:
Blocks: Image-Crop Icon-Request
  Show dependency treegraph
 
Reported: 2016-08-04 14:20 UTC by Regina Henschel
Modified: 2019-04-22 19:33 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Simple tip for crop-handle (21.53 KB, image/png)
2016-08-04 14:20 UTC, Regina Henschel
Details
extended tip for crop-handle (17.20 KB, image/png)
2016-08-04 14:21 UTC, Regina Henschel
Details
simple tip for crop-dialog (21.53 KB, image/png)
2016-08-04 14:22 UTC, Regina Henschel
Details
extended tip for crop-dialog (18.55 KB, image/png)
2016-08-04 14:22 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2016-08-04 14:20:58 UTC
Created attachment 126586 [details]
Simple tip for crop-handle

The problem in format menu is already tracked in bug 92733. My concern here is about the toolbars. In Galaxy both commands have the same icon and that the tooltip is not verbose enough to distinguish the commands in a toolbar. Only if you have enabled extended tips, you can distinguish them. Other themes have different icons, but they do not show, which is for handles and which is for dialog.

So two things have to be done:
Make a separate icon for uno.crop, add handles in the icon, for example.
Change the tooltips to indicate, that one icon is for the handles and the other for the dialog.

The screenshots illustrate, what the user gets, if he had the icons side-by-side.
Comment 1 Regina Henschel 2016-08-04 14:21:29 UTC
Created attachment 126587 [details]
extended tip for crop-handle
Comment 2 Regina Henschel 2016-08-04 14:22:00 UTC
Created attachment 126588 [details]
simple tip for crop-dialog
Comment 3 Regina Henschel 2016-08-04 14:22:43 UTC
Created attachment 126589 [details]
extended tip for crop-dialog
Comment 4 Buovjaga 2016-08-07 15:48:21 UTC
Let's set to NEW.
Comment 5 Yousuf Philips (jay) (retired) 2016-08-07 16:18:37 UTC
(In reply to Regina Henschel from comment #0)
> Make a separate icon for uno.crop, add handles in the icon, for example.

Go for it if you think its important, as the crop dialog is only accessible by default in the menu as i switched the toolbar and context menus to the interactive crop.

> Change the tooltips to indicate, that one icon is for the handles and the
> other for the dialog.

Tooltip changed with patch sent in for bug 92733.
Comment 6 QA Administrators 2018-06-02 03:10:31 UTC Comment hidden (obsolete)
Comment 7 Regina Henschel 2018-06-02 23:10:35 UTC
An icon for the crop dialog (which is .unoGrafAttrCrop) is still missing in all icon-themes. Some uses .uno:crop explicitely via links.txt file and so show identical icons handle and dialog. Tango and Sifr run into general fallback, so their use of different icons for handle and dialog is accidentally.

The tooltip is OK now.
Comment 8 Commit Notification 2019-04-22 07:50:26 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/ff6dea46d8ccedf3ead6066c007b0362f8c4691d%5E%21

tdf#101295 grafattrcrop get dialog icon style

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.